Get notification attempts
Get notification attempts by notification id
GET
/
webhooks
/
{webhookId}
/
notifications
/
{notificationId}
/
attempts
TypeScript
const response: Promise<FireblocksResponse<NotificationAttemptsPaginatedResponse>> = fireblocks.webhooksV2.getNotificationAttempts(webhooksV2ApiGetNotificationAttemptsRequest);CompletableFuture<ApiResponse<NotificationAttemptsPaginatedResponse>> response = fireblocks.webhooksV2().getNotificationAttempts(webhookId, notificationId, pageCursor, pageSize);response = fireblocks.webhooks_v2.get_notification_attempts(webhook_id, notification_id, page_cursor, page_size);curl --request GET \
--url https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attemptsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"sentTime": 1625126400000,
"duration": 130,
"responseCode": 200,
"failureReason": "TIMED_OUT"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Path Parameters
Query Parameters
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<NotificationAttemptsPaginatedResponse>> = fireblocks.webhooksV2.getNotificationAttempts(webhooksV2ApiGetNotificationAttemptsRequest);CompletableFuture<ApiResponse<NotificationAttemptsPaginatedResponse>> response = fireblocks.webhooksV2().getNotificationAttempts(webhookId, notificationId, pageCursor, pageSize);response = fireblocks.webhooks_v2.get_notification_attempts(webhook_id, notification_id, page_cursor, page_size);curl --request GET \
--url https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attemptsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fireblocks.io/v1/webhooks/{webhookId}/notifications/{notificationId}/attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"sentTime": 1625126400000,
"duration": 130,
"responseCode": 200,
"failureReason": "TIMED_OUT"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}